Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
number | null

The maximum number of locations to return. Defaults to 100 if not specified. Must be a positive number and not exceed 1000.

Required range: x <= 1000
Example:

100

pageToken
string | null

A token to retrieve the next page of results. Used for pagination.

query
string | null

A query string to filter the locations. The query can be a substring of the location name or address.

Response

200 - application/json

Successfully retrieved list of locations.

locations
object[]
required

An array of locations.

nextPageToken
string | null

A token to retrieve the next page of results, if any.